namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "natures_madness")]
public class NaturesMadness : Script, IScriptChangeMoveDamage
{
    /// <inheritdoc />
    public void ChangeMoveDamage(IExecutingMove move, IPokemon target, byte hit, ref uint damage)
    {
        var targetMaxHp = target.BoostedStats.Hp;
        damage = targetMaxHp / 2;
    }
}